DECLARE
	-- Declaramos un log temporal donde almacenaremos el OUT de todos los procedimientos para evitar error.
    temp_log VARCHAR(500);
BEGIN
	-- Insertamos tres años academicos. El actual, el anterior y el anterior a ese.
	insert_new_university_year('30-09-2022');
	insert_new_university_year('30-09-2021');
	insert_new_university_year('30-09-2020');

	-- Insertamos 10 empresas nuevas en el sistema
	insert_or_update_company ('C00000001', 'Algodon SA', 'Dirección', '01-10-2020', temp_log);
	insert_or_update_company ('C00000002', 'Fibras SL', 'Dirección', '01-10-2020', temp_log);
	insert_or_update_company ('C00000003', 'Lana SAU', 'Dirección', '01-10-2020', temp_log);
	insert_or_update_company ('C00000004', 'Poliester SL', 'Dirección', '01-10-2020', temp_log);
	insert_or_update_company ('C00000005', 'Pana SLU', 'Dirección', '01-10-2020', temp_log);
	insert_or_update_company ('C00000006', 'Seda SA', 'Dirección', '01-10-2020', temp_log);
	insert_or_update_company ('C00000007', 'Lino SA', 'Dirección', '01-10-2020', temp_log);
	insert_or_update_company ('C00000008', 'Nailon SAU', 'Dirección', '01-10-2020', temp_log);
	insert_or_update_company ('C00000009', 'Cuero SL', 'Dirección', '01-10-2020', temp_log);
	insert_or_update_company ('C00000010', 'Elastán SA', 'Dirección', '01-10-2020', temp_log);

	-- Modificamos una de las empresas insertada
	insert_or_update_company ('C00000001', 'Algodon SA', 'Dirección Actualizada', '01-10-2020', temp_log);

	-- Intentamos insertar una empresa con un CIF que no es de 9 caracteres
	insert_or_update_company ('C000001', 'Telares SA', 'Dirección', '01-10-2020', temp_log);

	-- Insertamos 5 universidades nuevas en el sistema
	insert_or_update_university ('U00000001', 'Universidad Azul', 'Dirección', temp_log);
	insert_or_update_university ('U00000002', 'Universidad Roja', 'Dirección', temp_log);
	insert_or_update_university ('U00000003', 'Universidad Amarilla', 'Dirección', temp_log);
	insert_or_update_university ('U00000004', 'Universidad Verde', 'Dirección', temp_log);
	insert_or_update_university ('U00000005', 'Universidad Naranja', 'Dirección', temp_log);

	-- Modificamos una de las universidades insertadas
	insert_or_update_university ('U00000001', 'Universidad Azul', 'Dirección Actualizada', temp_log);

	-- Intentamos insertar una universidad con un CIF que no es de 9 caracteres
	insert_or_update_university ('U000001', 'Universidad Purpura', 'Dirección', temp_log);

	-- Insertamos 8 grados universitarios diferentes
	insert_or_update_degree ('1', 'Ingeniería Informática', 'Engineering', temp_log);
	insert_or_update_degree ('2', 'Administración y Dirección de Empresas', 'Economy', temp_log);
	insert_or_update_degree ('3', 'Filología Inglesa', 'Art and Humanity', temp_log);
	insert_or_update_degree ('4', 'Matematicas', 'Science', temp_log);
	insert_or_update_degree ('5', 'Física', 'Science', temp_log);
	insert_or_update_degree ('6', 'Relaciones Laborals', 'Law', temp_log);
	insert_or_update_degree ('7', 'Derecho', 'Law', temp_log);
	insert_or_update_degree ('8', 'Magisterio', 'Education', temp_log);

	-- Corregimos el grado con un error en el nombre
	insert_or_update_degree ('6', 'Relaciones Laborales', 'Law', temp_log);

	-- Insertamos un grado con un area de estudios incorrecta.
	insert_or_update_degree ('9', 'Ingeniería Eléctrica', 'Electricity', temp_log);

	-- Insertamos multiples entradas en degree_offers para indicar las ofertas de cada universidad.
	insert_degree_offers ('1', 'U00000001', temp_log);
	insert_degree_offers ('3', 'U00000001', temp_log);
	insert_degree_offers ('4', 'U00000001', temp_log);
	insert_degree_offers ('1', 'U00000002', temp_log);
	insert_degree_offers ('2', 'U00000002', temp_log);
	insert_degree_offers ('7', 'U00000002', temp_log);
	insert_degree_offers ('8', 'U00000002', temp_log);
	insert_degree_offers ('5', 'U00000003', temp_log);
	insert_degree_offers ('6', 'U00000003', temp_log);
	insert_degree_offers ('2', 'U00000004', temp_log);
	insert_degree_offers ('3', 'U00000004', temp_log);
	insert_degree_offers ('5', 'U00000004', temp_log);
	insert_degree_offers ('6', 'U00000004', temp_log);
	insert_degree_offers ('8', 'U00000004', temp_log);
	insert_degree_offers ('1', 'U00000005', temp_log);
	insert_degree_offers ('2', 'U00000005', temp_log);
	insert_degree_offers ('3', 'U00000005', temp_log);
	insert_degree_offers ('4', 'U00000005', temp_log);
	insert_degree_offers ('5', 'U00000005', temp_log);
	insert_degree_offers ('6', 'U00000005', temp_log);
	insert_degree_offers ('7', 'U00000005', temp_log);
	insert_degree_offers ('8', 'U00000005', temp_log);

	-- Insertamos una entrada a una universidad que no existe.
	insert_degree_offers ('1', 'U00000006', temp_log);

	-- Insertamos una entrada con un grado que no existe.
	insert_degree_offers ('9', 'U00000005', temp_log);

	-- Insertamos una entrada que ya existe.
	insert_degree_offers ('1', 'U00000001', temp_log);

	-- Insertamos dos responsables para cada empresa.
	insert_or_update_responsible ('01000001R', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'C00000001', temp_log);
	insert_or_update_responsible ('01000002R', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'C00000001', temp_log);
	insert_or_update_responsible ('02000001R', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'C00000002', temp_log);
	insert_or_update_responsible ('02000002R', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'C00000002', temp_log);
	insert_or_update_responsible ('03000001R', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'C00000003', temp_log);
	insert_or_update_responsible ('03000002R', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'C00000003', temp_log);
	insert_or_update_responsible ('04000001R', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'C00000004', temp_log);
	insert_or_update_responsible ('04000002R', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'C00000004', temp_log);
	insert_or_update_responsible ('05000001R', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'C00000005', temp_log);
	insert_or_update_responsible ('05000002R', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'C00000005', temp_log);
	insert_or_update_responsible ('06000001R', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'C00000006', temp_log);
	insert_or_update_responsible ('06000002R', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'C00000006', temp_log);
	insert_or_update_responsible ('07000001R', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'C00000007', temp_log);
	insert_or_update_responsible ('07000002R', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'C00000007', temp_log);
	insert_or_update_responsible ('08000001R', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'C00000008', temp_log);
	insert_or_update_responsible ('08000002R', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'C00000008', temp_log);
	insert_or_update_responsible ('09000001R', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'C00000009', temp_log);
	insert_or_update_responsible ('09000002R', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'C00000009', temp_log);
	insert_or_update_responsible ('10000001R', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'C00000010', temp_log);
	insert_or_update_responsible ('10000002R', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'C00000010', temp_log);

	-- Editamos un responsable.
	insert_or_update_responsible ('01000001R', 'Nombre Actualizado', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'C00000001', temp_log);

	-- Insertamos un responsable a una empresa que no existe.
	insert_or_update_responsible ('11000001R', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'C00000011', temp_log);

	-- Insertamos un contacto de RRHH para cada empresa.
	insert_or_update_RRHH_contact ('01000001H', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '01000001H@algodon.com', 'C00000001', temp_log);
	insert_or_update_RRHH_contact ('02000001H', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '02000001H@fibras.com', 'C00000002', temp_log);
	insert_or_update_RRHH_contact ('03000001H', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '03000001H@lana.com', 'C00000003', temp_log);
	insert_or_update_RRHH_contact ('04000001H', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '04000001H@poliester.com', 'C00000004', temp_log);
	insert_or_update_RRHH_contact ('05000001H', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '05000001H@pana.com', 'C00000005', temp_log);
	insert_or_update_RRHH_contact ('06000001H', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '06000001H@seda.com', 'C00000006', temp_log);
	insert_or_update_RRHH_contact ('07000001H', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '07000001H@lino.com', 'C00000007', temp_log);
	insert_or_update_RRHH_contact ('08000001H', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '08000001H@nailon.com', 'C00000008', temp_log);
	insert_or_update_RRHH_contact ('09000001H', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '09000001H@cuero.com', 'C00000009', temp_log);
	insert_or_update_RRHH_contact ('10000001H', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '10000001H@elastan.com', 'C00000010', temp_log);

	-- Modificamos uno de los contactos indicados.
	insert_or_update_RRHH_contact ('01000001H', 'Nombre Actualizado', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '01000001H@algodon.com', 'C00000001', temp_log);

	-- Insertamos un contacto de RRHH a una empresa que no existe.
	insert_or_update_RRHH_contact ('11000001H', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '11000001H@pantalones.com', 'C00000011', temp_log);

	-- Insertamos un responsable de RRHH con un e-mail que ya existe en el sistema.
	insert_or_update_RRHH_contact ('01000002H', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '01000001H@algodon.com', 'C00000001', temp_log);

	-- Insertamos dos profesores para cada universidad.
	insert_or_update_professor ('01000001P', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '01000001P@azul.edu', 'Azul-P-1', 'U00000001', temp_log);
	insert_or_update_professor ('01000002P', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '01000002P@azul.edu', 'Azul-P-2', 'U00000001', temp_log);
	insert_or_update_professor ('02000001P', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '02000001P@roja.edu', 'Roja-P-1', 'U00000002', temp_log);
	insert_or_update_professor ('02000002P', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '02000002P@roja.edu', 'Roja-P-2', 'U00000002', temp_log);
	insert_or_update_professor ('03000001P', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '03000001P@amarilla.edu', 'Amarilla-P-1', 'U00000003', temp_log);
	insert_or_update_professor ('03000002P', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '03000002P@amarilla.edu', 'Amarilla-P-2', 'U00000003', temp_log);
	insert_or_update_professor ('04000001P', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '04000001P@verde.edu', 'Verde-P-1', 'U00000004', temp_log);
	insert_or_update_professor ('04000002P', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '04000002P@verde.edu', 'Verde-P-2', 'U00000004', temp_log);
	insert_or_update_professor ('05000001P', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '05000001P@naranja.edu', 'Naranja-P-1', 'U00000005', temp_log);
	insert_or_update_professor ('05000002P', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '05000002P@naranja.edu', 'Naranja-P-2', 'U00000005', temp_log);

	-- Editamos el nombre de un profesor.
	insert_or_update_professor ('01000001P', 'Nombre Actualizado', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '01000001P@azul.edu', 'Azul-P-1', 'U00000001', temp_log);

	-- Insertamos un profesor a una universidad que no existe.
	insert_or_update_professor ('06000001P', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '06000001P@moradi.edu', 'Morado-P-1', 'U00000006', temp_log);

	-- Insertamos un profesor con un email que ya existe en el sistema.
	insert_or_update_professor ('01000003P', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '01000001P@azul.edu', 'Azul-P-3', 'U00000001', temp_log);

	-- Insertamos un profesor con un código repetido para una universidad.
	insert_or_update_professor ('01000003P', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '01000003P@azul.edu', 'Azul-P-1', 'U00000001', temp_log);

	-- Intentamos modificarle el código a un profesor
	insert_or_update_professor ('01000001P', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', '01000001P@azul.edu', 'Magenta-P-1', 'U00000001', temp_log);

	-- Insertamos 5 estudiantes para cada universidad
	insert_or_update_student ('01000001S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Azul-S-1', 'U00000001', '1', temp_log);
	insert_or_update_student ('01000002S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Azul-S-2', 'U00000001', '3', temp_log);
	insert_or_update_student ('01000003S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Azul-S-3', 'U00000001', '4', temp_log);
	insert_or_update_student ('01000004S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Azul-S-4', 'U00000001', '1', temp_log);
	insert_or_update_student ('01000005S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Azul-S-5', 'U00000001', '1', temp_log);
	insert_or_update_student ('02000001S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Roja-S-1', 'U00000002', '1', temp_log);
	insert_or_update_student ('02000002S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Roja-S-2', 'U00000002', '2', temp_log);
	insert_or_update_student ('02000003S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Roja-S-3', 'U00000002', '7', temp_log);
	insert_or_update_student ('02000004S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Roja-S-4', 'U00000002', '8', temp_log);
	insert_or_update_student ('02000005S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Roja-S-5', 'U00000002', '1', temp_log);
	insert_or_update_student ('03000001S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Amarilla-S-1', 'U00000003', '5', temp_log);
	insert_or_update_student ('03000002S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Amarilla-S-2', 'U00000003', '6', temp_log);
	insert_or_update_student ('03000003S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Amarilla-S-3', 'U00000003', '5', temp_log);
	insert_or_update_student ('03000004S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Amarilla-S-4', 'U00000003', '6', temp_log);
	insert_or_update_student ('03000005S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Amarilla-S-5', 'U00000003', '5', temp_log);
	insert_or_update_student ('04000001S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Verde-S-1', 'U00000004', '2', temp_log);
	insert_or_update_student ('04000002S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Verde-S-2', 'U00000004', '3', temp_log);
	insert_or_update_student ('04000003S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Verde-S-3', 'U00000004', '5', temp_log);
	insert_or_update_student ('04000004S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Verde-S-4', 'U00000004', '6', temp_log);
	insert_or_update_student ('04000005S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Verde-S-5', 'U00000004', '8', temp_log);
	insert_or_update_student ('05000001S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Naranja-S-1', 'U00000005', '1', temp_log);
	insert_or_update_student ('05000002S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Naranja-S-2', 'U00000005', '2', temp_log);
	insert_or_update_student ('05000003S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Naranja-S-3', 'U00000005', '3', temp_log);
	insert_or_update_student ('05000004S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Naranja-S-4', 'U00000005', '4', temp_log);
	insert_or_update_student ('05000005S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Naranja-S-5', 'U00000005', '5', temp_log);

	-- Editamos el nombre de un estudiantes
	insert_or_update_student ('01000001S', 'Nombre Actualizado', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Azul-S-1', 'U00000001', '1', temp_log);

	-- Insertamos un estudiante en una universidad que no existe.
	insert_or_update_student ('06000001S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Purpura-S-1', 'U00000006', '1', temp_log);

	-- Insertamos un estudiante con un grado que no existe.
	insert_or_update_student ('01000006S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Azul-S-6', 'U00000001', '10', temp_log);

	-- Insertamos un estudiante con un grado que no se imparte en su universidad.
	insert_or_update_student ('01000007S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Azul-S-7', 'U00000001', '2', temp_log);

	-- Intentamos modificarle el código a un estudiante.
	insert_or_update_student ('01000001S', 'Nombre', 'Apellido1', 'Apellido2', SYSDATE, 'Telf', 'Dirección', 'Azul-S-10', 'U00000001', '1', temp_log);

	-- Insertamos diferentes ofertas por parte de las empresas hacia las universidades
	insert_offers ('Oferta', 'Descripción', '10-10-2020', 'C00000001', 'U00000001', temp_log);
	insert_offers ('Oferta', 'Descripción', '10-10-2021', 'C00000001', 'U00000001', temp_log);
	insert_offers ('Oferta', 'Descripción', '10-10-2022', 'C00000001', 'U00000001', temp_log);
	insert_offers ('Oferta', 'Descripción', '10-10-2020', 'C00000001', 'U00000002', temp_log);
	insert_offers ('Oferta', 'Descripción', '10-10-2020', 'C00000001', 'U00000003', temp_log);
	insert_offers ('Oferta', 'Descripción', '10-10-2021', 'C00000001', 'U00000005', temp_log);
	insert_offers ('Oferta', 'Descripción', '10-10-2022', 'C00000002', 'U00000002', temp_log);
	insert_offers ('Oferta', 'Descripción', '10-10-2021', 'C00000002', 'U00000003', temp_log);
	insert_offers ('Oferta', 'Descripción', '10-10-2022', 'C00000002', 'U00000004', temp_log);
	insert_offers ('Oferta', 'Descripción', '10-10-2022', 'C00000002', 'U00000005', temp_log);
	insert_offers ('Oferta', 'Descripción', '10-10-2020', 'C00000003', 'U00000001', temp_log);
	insert_offers ('Oferta', 'Descripción', '10-10-2020', 'C00000003', 'U00000002', temp_log);
	insert_offers ('Oferta', 'Descripción', '10-10-2020', 'C00000003', 'U00000003', temp_log);
	insert_offers ('Oferta', 'Descripción', '10-10-2020', 'C00000003', 'U00000004', temp_log);
	insert_offers ('Oferta', 'Descripción', '10-10-2021', 'C00000004', 'U00000001', temp_log);
	insert_offers ('Oferta', 'Descripción', '10-10-2021', 'C00000005', 'U00000004', temp_log);
	insert_offers ('Oferta', 'Descripción', '10-10-2022', 'C00000006', 'U00000001', temp_log);
	insert_offers ('Oferta', 'Descripción', '10-10-2021', 'C00000006', 'U00000002', temp_log);
	insert_offers ('Oferta', 'Descripción', '10-10-2021', 'C00000007', 'U00000002', temp_log);
	insert_offers ('Oferta', 'Descripción', '10-10-2022', 'C00000007', 'U00000002', temp_log);
	insert_offers ('Oferta', 'Descripción', '10-10-2020', 'C00000008', 'U00000001', temp_log);
	insert_offers ('Oferta', 'Descripción', '10-10-2021', 'C00000008', 'U00000002', temp_log);

	insert_offers ('Oferta', 'Descripción', '10-10-2022', 'C00000008', 'U00000003', temp_log);

	insert_offers ('Oferta', 'Descripción', '10-10-2021', 'C00000009', 'U00000003', temp_log);

	insert_offers ('Oferta', 'Descripción', '10-10-2021', 'C00000009', 'U00000004', temp_log);


	-- Insertamos una oferta para una universidad que no existe
	insert_offers ('Oferta', 'Descripción', '10-10-2020', 'C00000001', 'U00000006', temp_log);

	-- Insertamos una oferta para una empresa que no existe
	insert_offers ('Oferta', 'Descripción', '10-10-2020', 'C00000011', 'U00000001', temp_log);

	-- Insertamos candidaturas a las diferentes ofertas
	insert_new_candidacy ('1', '01000001S', '01000001R', temp_log);
	insert_new_candidacy ('1', '01000003S', '01000002R', temp_log);
	insert_new_candidacy ('1', '01000005S', '01000001R', temp_log);
	insert_new_candidacy ('2', '01000002S', '01000001R', temp_log);
	insert_new_candidacy ('2', '01000004S', '01000002R', temp_log);
	insert_new_candidacy ('3', '01000001S', '01000001R', temp_log);
	insert_new_candidacy ('3', '01000002S', '01000002R', temp_log);
	insert_new_candidacy ('3', '01000003S', '01000001R', temp_log);
	insert_new_candidacy ('3', '01000004S', '01000001R', temp_log);
	insert_new_candidacy ('3', '01000005S', '01000002R', temp_log);
	insert_new_candidacy ('4', '02000001S', '01000001R', temp_log);
	insert_new_candidacy ('4', '02000003S', '01000002R', temp_log);
	insert_new_candidacy ('4', '02000004S', '01000001R', temp_log);
	insert_new_candidacy ('5', '03000003S', '01000002R', temp_log);
	insert_new_candidacy ('6', '05000001S', '01000002R', temp_log);
	insert_new_candidacy ('6', '05000002S', '01000001R', temp_log);
	insert_new_candidacy ('6', '05000005S', '01000002R', temp_log);
	insert_new_candidacy ('8', '03000005S', '02000002R', temp_log);
	insert_new_candidacy ('8', '03000002S', '02000001R', temp_log);
	insert_new_candidacy ('9', '04000001S', '02000002R', temp_log);
	insert_new_candidacy ('10', '05000001S', '02000001R', temp_log);
	insert_new_candidacy ('10', '05000003S', '02000002R', temp_log);
	insert_new_candidacy ('10', '05000005S', '02000002R', temp_log);
	insert_new_candidacy ('12', '02000005S', '03000002R', temp_log);
	insert_new_candidacy ('12', '02000004S', '03000001R', temp_log);
	insert_new_candidacy ('13', '03000004S', '03000001R', temp_log);
	insert_new_candidacy ('14', '04000002S', '03000002R', temp_log);
	insert_new_candidacy ('14', '04000003S', '03000002R', temp_log);
	insert_new_candidacy ('14', '04000005S', '03000002R', temp_log);
	insert_new_candidacy ('15', '01000005S', '04000002R', temp_log);
	insert_new_candidacy ('16', '04000001S', '05000002R', temp_log);
	insert_new_candidacy ('16', '04000002S', '05000001R', temp_log);
	insert_new_candidacy ('16', '04000003S', '05000002R', temp_log);
	insert_new_candidacy ('16', '04000005S', '05000001R', temp_log);
	insert_new_candidacy ('17', '01000005S', '06000002R', temp_log);
	insert_new_candidacy ('17', '01000002S', '06000001R', temp_log);
	insert_new_candidacy ('19', '02000003S', '07000002R', temp_log);
	insert_new_candidacy ('19', '02000004S', '07000001R', temp_log);
	insert_new_candidacy ('19', '02000005S', '07000002R', temp_log);
	insert_new_candidacy ('20', '02000001S', '07000001R', temp_log);
	insert_new_candidacy ('21', '01000002S', '08000002R', temp_log);
	insert_new_candidacy ('23', '03000001S', '08000002R', temp_log);
	insert_new_candidacy ('23', '03000005S', '08000002R', temp_log);
	insert_new_candidacy ('24', '03000004S', '09000001R', temp_log);
	insert_new_candidacy ('25', '04000003S', '09000002R', temp_log);
	insert_new_candidacy ('25', '04000004S', '09000001R', temp_log);
	insert_new_candidacy ('25', '04000002S', '09000002R', temp_log);

	-- Insertamos una candidatura con un estudiante que no existe.
	insert_new_candidacy ('1', '01000010S', '01000001R', temp_log);

	-- Insertamos una candidatura con una oferta que no existe.
	insert_new_candidacy ('30', '01000001S', '01000001R', temp_log);

	-- Insertamos una candidatura con un responsable que no existe.
	insert_new_candidacy ('1', '01000001S', '01000004R', temp_log);

	-- Insertamos una candidatura con un responsable de otra compañia.
	insert_new_candidacy ('1', '01000001S', '02000001R', temp_log);

	-- Insertamos una candidatura con un estudiante de otra universidad.
	insert_new_candidacy ('1', '02000001S', '01000001R', temp_log);

	-- Insertamos un requisito a cada candidatura
	insert_candidacy_requisites ('Requisito', '1', temp_log);
	insert_candidacy_requisites ('Requisito', '2', temp_log);
	insert_candidacy_requisites ('Requisito', '3', temp_log);
	insert_candidacy_requisites ('Requisito', '4', temp_log);
	insert_candidacy_requisites ('Requisito', '5', temp_log);
	insert_candidacy_requisites ('Requisito', '6', temp_log);
	insert_candidacy_requisites ('Requisito', '7', temp_log);
	insert_candidacy_requisites ('Requisito', '8', temp_log);
	insert_candidacy_requisites ('Requisito', '9', temp_log);
	insert_candidacy_requisites ('Requisito', '10', temp_log);
	insert_candidacy_requisites ('Requisito', '11', temp_log);
	insert_candidacy_requisites ('Requisito', '12', temp_log);
	insert_candidacy_requisites ('Requisito', '13', temp_log);
	insert_candidacy_requisites ('Requisito', '14', temp_log);
	insert_candidacy_requisites ('Requisito', '15', temp_log);
	insert_candidacy_requisites ('Requisito', '16', temp_log);
	insert_candidacy_requisites ('Requisito', '17', temp_log);
	insert_candidacy_requisites ('Requisito', '18', temp_log);
	insert_candidacy_requisites ('Requisito', '19', temp_log);
	insert_candidacy_requisites ('Requisito', '20', temp_log);
	insert_candidacy_requisites ('Requisito', '21', temp_log);
	insert_candidacy_requisites ('Requisito', '22', temp_log);
	insert_candidacy_requisites ('Requisito', '23', temp_log);
	insert_candidacy_requisites ('Requisito', '24', temp_log);
	insert_candidacy_requisites ('Requisito', '25', temp_log);
	insert_candidacy_requisites ('Requisito', '26', temp_log);
	insert_candidacy_requisites ('Requisito', '27', temp_log);
	insert_candidacy_requisites ('Requisito', '28', temp_log);
	insert_candidacy_requisites ('Requisito', '29', temp_log);
	insert_candidacy_requisites ('Requisito', '30', temp_log);
	insert_candidacy_requisites ('Requisito', '31', temp_log);
	insert_candidacy_requisites ('Requisito', '32', temp_log);
	insert_candidacy_requisites ('Requisito', '33', temp_log);
	insert_candidacy_requisites ('Requisito', '34', temp_log);
	insert_candidacy_requisites ('Requisito', '35', temp_log);
	insert_candidacy_requisites ('Requisito', '36', temp_log);
	insert_candidacy_requisites ('Requisito', '37', temp_log);
	insert_candidacy_requisites ('Requisito', '38', temp_log);
	insert_candidacy_requisites ('Requisito', '39', temp_log);
	insert_candidacy_requisites ('Requisito', '40', temp_log);
	insert_candidacy_requisites ('Requisito', '41', temp_log);
	insert_candidacy_requisites ('Requisito', '42', temp_log);
	insert_candidacy_requisites ('Requisito', '43', temp_log);
	insert_candidacy_requisites ('Requisito', '44', temp_log);
	insert_candidacy_requisites ('Requisito', '45', temp_log);
	insert_candidacy_requisites ('Requisito', '46', temp_log);
	insert_candidacy_requisites ('Requisito', '47', temp_log);

	-- Insertamos un requisito a una candidatura que no existe
	insert_candidacy_requisites ('Requisito', '48', temp_log);

	-- Validamos, o no, las 47 candidaturas
	validate_candidacy('1', 1, '15-10-2020', temp_log);
	validate_candidacy('2', 0, '15-10-2020', temp_log);
	validate_candidacy('3', 0, '15-10-2020', temp_log);
	validate_candidacy('4', 1, '15-10-2021', temp_log);
	validate_candidacy('5', 0, '15-10-2021', temp_log);
	validate_candidacy('6', 0, '15-10-2022', temp_log);
	validate_candidacy('7', 1, '15-10-2022', temp_log);
	validate_candidacy('8', 1, '15-10-2022', temp_log);
	validate_candidacy('9', 0, '15-10-2022', temp_log);
	validate_candidacy('10', 1, '15-10-2022', temp_log);
	validate_candidacy('11', 1, '15-10-2020', temp_log);
	validate_candidacy('12', 0, '15-10-2020', temp_log);
	validate_candidacy('13', 0, '15-10-2020', temp_log);
	validate_candidacy('14', 1, '15-10-2020', temp_log);
	validate_candidacy('15', 1, '15-10-2021', temp_log);
	validate_candidacy('16', 1, '15-10-2021', temp_log);
	validate_candidacy('17', 0, '15-10-2021', temp_log);
	validate_candidacy('18', 0, '15-10-2021', temp_log);
	validate_candidacy('19', 0, '15-10-2021', temp_log);
	validate_candidacy('20', 0, '15-10-2022', temp_log);
	validate_candidacy('21', 1, '15-10-2022', temp_log);
	validate_candidacy('22', 1, '15-10-2022', temp_log);
	validate_candidacy('23', 1, '15-10-2022', temp_log);
	validate_candidacy('24', 1, '15-10-2020', temp_log);
	validate_candidacy('25', 1, '15-10-2020', temp_log);
	validate_candidacy('26', 0, '15-10-2020', temp_log);
	validate_candidacy('27', 0, '15-10-2020', temp_log);
	validate_candidacy('28', 1, '15-10-2020', temp_log);
	validate_candidacy('29', 0, '15-10-2020', temp_log);
	validate_candidacy('30', 1, '15-10-2021', temp_log);
	validate_candidacy('31', 0, '15-10-2021', temp_log);
	validate_candidacy('32', 0, '15-10-2021', temp_log);
	validate_candidacy('33', 1, '15-10-2021', temp_log);
	validate_candidacy('34', 1, '15-10-2021', temp_log);
	validate_candidacy('35', 1, '15-10-2022', temp_log);
	validate_candidacy('36', 0, '15-10-2022', temp_log);
	validate_candidacy('37', 0, '15-10-2021', temp_log);
	validate_candidacy('38', 0, '15-10-2021', temp_log);
	validate_candidacy('39', 1, '15-10-2021', temp_log);
	validate_candidacy('40', 1, '15-10-2022', temp_log);
	validate_candidacy('41', 1, '15-10-2020', temp_log);
	validate_candidacy('42', 0, '15-10-2022', temp_log);
	validate_candidacy('43', 1, '15-10-2022', temp_log);
	validate_candidacy('44', 0, '15-10-2021', temp_log);
	validate_candidacy('45', 1, '15-10-2021', temp_log);
	validate_candidacy('46', 1, '15-10-2021', temp_log);
	validate_candidacy('47', 0, '15-10-2021', temp_log);

	-- Intentamos validar una candidatura que no existe
	validate_candidacy('48', 1, '15-10-2021', temp_log);

	-- Intentamos validar una candidatura con un valor que no es ni 0 ni 1
	validate_candidacy('47', 2, '15-10-2021', temp_log);

	-- Intentamos validar una candidatura que ya ha sido validadas
	validate_candidacy('47', 1, '15-10-2021', temp_log);

	-- Insertamos entrevistas en algunas de las candidaturas validadas
	insert_new_interview('20-10-2020', '1', '01000001H', temp_log);
	insert_new_interview('20-10-2022', '7', '01000001H', temp_log);
	insert_new_interview('20-10-2022', '10', '01000001H', temp_log);
	insert_new_interview('20-10-2020', '14', '01000001H', temp_log);
	insert_new_interview('20-10-2021', '16', '01000001H', temp_log);
	insert_new_interview('20-10-2022', '22', '02000001H', temp_log);
	insert_new_interview('20-10-2022', '23', '02000001H', temp_log);
	insert_new_interview('20-10-2020', '24', '03000001H', temp_log);
	insert_new_interview('20-10-2020', '25', '03000001H', temp_log);
	insert_new_interview('20-10-2020', '28', '03000001H', temp_log);
	insert_new_interview('20-10-2021', '30', '04000001H', temp_log);
	insert_new_interview('20-10-2021', '33', '05000001H', temp_log);
	insert_new_interview('20-10-2021', '34', '05000001H', temp_log);
	insert_new_interview('20-10-2022', '35', '06000001H', temp_log);
	insert_new_interview('20-10-2021', '39', '07000001H', temp_log);
	insert_new_interview('20-10-2022', '40', '07000001H', temp_log);
	insert_new_interview('20-10-2020', '41', '08000001H', temp_log);
	insert_new_interview('20-10-2022', '43', '08000001H', temp_log);
	insert_new_interview('20-10-2021', '45', '09000001H', temp_log);
	insert_new_interview('20-10-2021', '46', '09000001H', temp_log);

	-- Intentamos concertar una entrevista para una candidatura que no existe
	insert_new_interview('20-10-2020', '70', '01000001H', temp_log);

	-- Intentamos concertar una entrevista con un contacto que no existe
	insert_new_interview('20-10-2020', '1', '01000004H', temp_log);

	-- Intentamos concertar una entrevista para una candidatura que ya tiene entrevista.
	insert_new_interview('20-10-2020', '1', '01000001H', temp_log);

	-- Intentamos concertar una entrevista usando un contacto de RRHH de otra empresa
	insert_new_interview('20-10-2020', '4', '02000001H', temp_log);

	-- Intentamos concertar una entrevista a una candidatura rechazada
	insert_new_interview('20-10-2020', '2', '01000001H', temp_log);

	-- Insertamos un comentario a cada entrevista
	insert_interview_comment ('Comentario', '1', temp_log);
	insert_interview_comment ('Comentario', '2', temp_log);
	insert_interview_comment ('Comentario', '3', temp_log);
	insert_interview_comment ('Comentario', '4', temp_log);
	insert_interview_comment ('Comentario', '5', temp_log);
	insert_interview_comment ('Comentario', '6', temp_log);
	insert_interview_comment ('Comentario', '7', temp_log);
	insert_interview_comment ('Comentario', '8', temp_log);
	insert_interview_comment ('Comentario', '9', temp_log);
	insert_interview_comment ('Comentario', '10', temp_log);
	insert_interview_comment ('Comentario', '11', temp_log);
	insert_interview_comment ('Comentario', '12', temp_log);
	insert_interview_comment ('Comentario', '13', temp_log);
	insert_interview_comment ('Comentario', '14', temp_log);
	insert_interview_comment ('Comentario', '15', temp_log);
	insert_interview_comment ('Comentario', '16', temp_log);
	insert_interview_comment ('Comentario', '17', temp_log);
	insert_interview_comment ('Comentario', '18', temp_log);
	insert_interview_comment ('Comentario', '19', temp_log);
	insert_interview_comment ('Comentario', '20', temp_log);

	-- Insertamos un comentario en una entrevista que no existe.
	insert_interview_comment ('Comentario', '21', temp_log);

	-- Evaluamos las entrevistas como pasadas o no
	evaluate_interview ('1', 1, temp_log);
	evaluate_interview ('2', 1, temp_log);
	evaluate_interview ('3', 1, temp_log);
	evaluate_interview ('4', 0, temp_log);
	evaluate_interview ('5', 1, temp_log);
	evaluate_interview ('6', 1, temp_log);
	evaluate_interview ('7', 1, temp_log);
	evaluate_interview ('8', 0, temp_log);
	evaluate_interview ('9', 1, temp_log);
	evaluate_interview ('10', 1, temp_log);
	evaluate_interview ('11', 1, temp_log);
	evaluate_interview ('12', 0, temp_log);
	evaluate_interview ('13', 1, temp_log);
	evaluate_interview ('14', 1, temp_log);
	evaluate_interview ('15', 1, temp_log);
	evaluate_interview ('16', 0, temp_log);
	evaluate_interview ('17', 1, temp_log);
	evaluate_interview ('18', 1, temp_log);
	evaluate_interview ('19', 1, temp_log);
	evaluate_interview ('20', 0, temp_log);

	-- Intentamos evaluar una entrevista que no existe
	evaluate_interview ('21', 0, temp_log);

	-- Intentavamos evaluar una entrevista con un valor que no es 0 ni 1
	evaluate_interview ('20', 2, temp_log);

	-- Intentamos evaluar una entrevista que ya ha sido evaluada
	evaluate_interview ('20', 0, temp_log);

	-- Creamos una colaboración para cada candidacy aceptada
	insert_new_collaboration('01-11-2020', 180, 300, 15, '01000001S', '01000001R', '01000001P', temp_log);
	insert_new_collaboration('01-11-2022', 150, 400, 25, '01000002S', '01000002R', '01000001P', temp_log);
	insert_new_collaboration('01-11-2022', 150, 350, 20, '01000005S', '01000002R', '01000001P', temp_log);
	insert_new_collaboration('01-11-2021', 180, 200, 10, '05000002S', '01000001R', '05000002P', temp_log);
	insert_new_collaboration('01-11-2022', 120, 380, 15, '05000003S', '02000002R', '05000001P', temp_log);
	insert_new_collaboration('01-11-2022', 140, 300, 30, '05000005S', '02000002R', '05000002P', temp_log);
	insert_new_collaboration('01-11-2020', 90, 0, 20, '02000004S', '03000001R', '02000001P', temp_log);
	insert_new_collaboration('01-11-2020', 160, 100, 10, '04000003S', '03000002R', '04000002P', temp_log);
	insert_new_collaboration('01-11-2021', 175, 400, 12, '01000005S', '04000002R', '01000001P', temp_log);
	insert_new_collaboration('01-11-2021', 160, 500, 18, '04000005S', '05000001R', '04000001P', temp_log);
	insert_new_collaboration('01-11-2022', 140, 120, 14, '01000005S', '06000002R', '01000002P', temp_log);
	insert_new_collaboration('01-11-2021', 120, 160, 21, '02000005S', '07000002R', '02000001P', temp_log);
	insert_new_collaboration('01-11-2020', 80, 450, 28, '01000002S', '08000002R', '01000002P', temp_log);
	insert_new_collaboration('01-11-2022', 100, 420, 7, '03000005S', '08000002R', '03000002P', temp_log);
	insert_new_collaboration('01-11-2021', 110, 275, 22, '04000003S', '09000002R', '04000001P', temp_log);

	-- Insertamos una colaboración para un estudiante que no existe
	insert_new_collaboration('01-11-2020', 180, 300, 15, '01000009S', '01000001R', '01000001P', temp_log);

	-- Insertamos una colaboración con un responsable que no existe
	insert_new_collaboration('01-11-2020', 180, 300, 15, '01000001S', '01000004R', '01000001P', temp_log);

	-- Insertamos una colaboración con un profesor que no existe
	insert_new_collaboration('01-11-2020', 180, 300, 15, '01000001S', '01000001R', '01000009P', temp_log);

	-- Insertamos una colaboración con un estudiante y un profesor de diferentes universidades
	insert_new_collaboration('01-11-2020', 180, 300, 15, '01000001S', '01000001R', '02000001P', temp_log);

	-- Insertamos un tema de colaboración para cada colaboración.
	insert_collaboration_theme('Nombre', 'Descripción', '1', temp_log);
	insert_collaboration_theme('Nombre', 'Descripción', '2', temp_log);
	insert_collaboration_theme('Nombre', 'Descripción', '3', temp_log);
	insert_collaboration_theme('Nombre', 'Descripción', '4', temp_log);
	insert_collaboration_theme('Nombre', 'Descripción', '5', temp_log);
	insert_collaboration_theme('Nombre', 'Descripción', '6', temp_log);
	insert_collaboration_theme('Nombre', 'Descripción', '7', temp_log);
	insert_collaboration_theme('Nombre', 'Descripción', '8', temp_log);
	insert_collaboration_theme('Nombre', 'Descripción', '9', temp_log);
	insert_collaboration_theme('Nombre', 'Descripción', '10', temp_log);
	insert_collaboration_theme('Nombre', 'Descripción', '11', temp_log);
	insert_collaboration_theme('Nombre', 'Descripción', '12', temp_log);
	insert_collaboration_theme('Nombre', 'Descripción', '13', temp_log);
	insert_collaboration_theme('Nombre', 'Descripción', '14', temp_log);
	insert_collaboration_theme('Nombre', 'Descripción', '15', temp_log);

	-- Insertamos un tema en una colaboración que no existe.
	insert_collaboration_theme('Nombre', 'Descripción', '16', temp_log);

	-- Insertamos tres informes periodicos para cada colaboración de años anteriores
	insert_periodic_report('01-12-2020', 'Informe', '1', temp_log);
	insert_periodic_report('01-01-2021', 'Informe', '1', temp_log);
	insert_periodic_report('01-02-2021', 'Informe', '1', temp_log);
	insert_periodic_report('01-12-2021', 'Informe', '4', temp_log);
	insert_periodic_report('01-01-2022', 'Informe', '4', temp_log);
	insert_periodic_report('01-02-2022', 'Informe', '4', temp_log);
	insert_periodic_report('01-12-2020', 'Informe', '7', temp_log);
	insert_periodic_report('01-01-2021', 'Informe', '7', temp_log);
	insert_periodic_report('01-02-2021', 'Informe', '7', temp_log);
	insert_periodic_report('01-12-2020', 'Informe', '8', temp_log);
	insert_periodic_report('01-01-2021', 'Informe', '8', temp_log);
	insert_periodic_report('01-02-2021', 'Informe', '8', temp_log);
	insert_periodic_report('01-12-2021', 'Informe', '9', temp_log);
	insert_periodic_report('01-01-2022', 'Informe', '9', temp_log);
	insert_periodic_report('01-02-2022', 'Informe', '9', temp_log);
	insert_periodic_report('01-12-2021', 'Informe', '10', temp_log);
	insert_periodic_report('01-01-2022', 'Informe', '10', temp_log);
	insert_periodic_report('01-02-2022', 'Informe', '10', temp_log);
	insert_periodic_report('01-12-2021', 'Informe', '12', temp_log);
	insert_periodic_report('01-01-2022', 'Informe', '12', temp_log);
	insert_periodic_report('01-02-2022', 'Informe', '12', temp_log);
	insert_periodic_report('01-12-2020', 'Informe', '13', temp_log);
	insert_periodic_report('01-01-2021', 'Informe', '13', temp_log);
	insert_periodic_report('01-02-2021', 'Informe', '13', temp_log);
	insert_periodic_report('01-12-2021', 'Informe', '15', temp_log);
	insert_periodic_report('01-01-2022', 'Informe', '15', temp_log);
	insert_periodic_report('01-02-2022', 'Informe', '15', temp_log);

	-- Insertamos un informe en una colaboración que no existe
	insert_periodic_report('01-02-2022', 'Informe', '16', temp_log);

	-- Insertamos tres inspecciones para cada colaboración de años anteriores
	insert_new_inspection('05-12-2020', 1, '1', temp_log);
	insert_new_inspection('05-01-2021', 1, '1', temp_log);
	insert_new_inspection('05-02-2021', 1, '1', temp_log);
	insert_new_inspection('05-12-2021', 1, '4', temp_log);
	insert_new_inspection('05-01-2022', 1, '4', temp_log);
	insert_new_inspection('05-02-2022', 1, '4', temp_log);
	insert_new_inspection('05-12-2020', 1, '7', temp_log);
	insert_new_inspection('05-01-2021', 1, '7', temp_log);
	insert_new_inspection('05-02-2021', 1, '7', temp_log);
	insert_new_inspection('05-12-2020', 1, '8', temp_log);
	insert_new_inspection('05-01-2021', 1, '8', temp_log);
	insert_new_inspection('05-02-2021', 1, '8', temp_log);
	insert_new_inspection('05-12-2021', 1, '9', temp_log);
	insert_new_inspection('05-01-2022', 1, '9', temp_log);
	insert_new_inspection('05-02-2022', 1, '9', temp_log);
	insert_new_inspection('05-12-2021', 1, '10', temp_log);
	insert_new_inspection('05-01-2022', 1, '10', temp_log);
	insert_new_inspection('05-02-2022', 1, '10', temp_log);
	insert_new_inspection('05-12-2021', 1, '12', temp_log);
	insert_new_inspection('05-01-2022', 1, '12', temp_log);
	insert_new_inspection('05-02-2022', 1, '12', temp_log);
	insert_new_inspection('05-12-2020', 1, '13', temp_log);
	insert_new_inspection('05-01-2021', 1, '13', temp_log);
	insert_new_inspection('05-02-2021', 0, '13', temp_log);
	insert_new_inspection('05-12-2021', 1, '15', temp_log);
	insert_new_inspection('05-01-2022', 0, '15', temp_log);
	insert_new_inspection('05-02-2022', 0, '15', temp_log);

	-- Insertamos una inspección a una colaboración que no existe.
	insert_new_inspection('05-02-2022', 0, '16', temp_log);

	-- Insertamos una inspección con un valor que no es 0 ni 1
	insert_new_inspection('05-02-2022', 2, '15', temp_log);

	-- Insertamos un informe final a todas las colaboraciones de años pasados
	insert_final_report('01-04-2021', 8, 1, '1', temp_log);
	insert_final_report('01-04-2022', 4, 0, '4', temp_log);
	insert_final_report('01-04-2021', 3, 0, '7', temp_log);
	insert_final_report('01-04-2021', 7, 1, '8', temp_log);
	insert_final_report('01-04-2022', 6, 1, '9', temp_log);
	insert_final_report('01-04-2022', 1, 0, '10', temp_log);
	insert_final_report('01-04-2022', 3, 0, '12', temp_log);
	insert_final_report('01-04-2021', 4, 0, '13', temp_log);
	insert_final_report('01-04-2022', 2, 0, '15', temp_log);

	-- Insertamos un informe final en una colaboración que no existe.
	insert_final_report('01-04-2021', 8, 1, '27', temp_log);

	-- Insertamos un informe final en una colaboración que ya tiene informe final.
	insert_final_report('01-04-2021', 8, 1, '1', temp_log);

	-- Insertamos un informe final con una valoración que no es 1 o 0.
	insert_final_report('01-04-2022', 8, 2, '14', temp_log);

	-- Insertamos un comentario para cada informe final
	insert_new_final_report_comment('Comentario', '1', '01000001S', temp_log);
	insert_new_final_report_comment('Comentario', '2', '01000001R', temp_log);
	insert_new_final_report_comment('Comentario', '3', '02000001P', temp_log);
	insert_new_final_report_comment('Comentario', '4', '04000003S', temp_log);
	insert_new_final_report_comment('Comentario', '5', '04000002R', temp_log);
	insert_new_final_report_comment('Comentario', '6', '04000001P', temp_log);
	insert_new_final_report_comment('Comentario', '7', '02000005S', temp_log);
	insert_new_final_report_comment('Comentario', '8', '08000002R', temp_log);
	insert_new_final_report_comment('Comentario', '9', '04000001P', temp_log);

	-- Insertamos un comentario en un informe final que no existe.
	insert_new_final_report_comment('Comentario', '10', '01000001S', temp_log);

	-- Insertamos un comentario de una persona que no existe.
	insert_new_final_report_comment('Comentario', '1', '06000001S', temp_log);

	-- Insertamos un comentario de una persona que no ha participado en la colaboración.
	insert_new_final_report_comment('Comentario', '1', '02000001S', temp_log);
END;